/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomEntityReference_H__
#define __GdomEntityReference_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomEntityReference GdomEntityReference;
typedef struct _GdomEntityReferenceClass GdomEntityReferenceClass;


#define GDOM_TYPE_ENTITY_REFERENCE            (gdom_entity_reference_get_type())
#define GDOM_ENTITY_REFERENCE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_ENTITY_REFERENCE, GdomEntityReference))
#define GDOM_ENTITY_REFERENCE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_ENTITY_REFERENCE, GdomEntityReference)Class)
#define GDOM_IS_ENTITY_REFERENCE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_ENTITY_REFERENCE))
#define GDOM_IS_ENTITY_REFERENCE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_ENTITY_REFERENCE))
#define GDOM_ENTITY_REFERENCE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_ENTITY_REFERENCE, GdomEntityReferenceClass))

typedef struct _GdomEntityReferencePrivate GdomEntityReferencePrivate;

struct _GdomEntityReference {
    GdomNode parent_instance;
    GdomEntityReferencePrivate *priv;
};

struct _GdomEntityReferenceClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_entity_reference_get_type (void);

G_END_DECLS

#endif /* __GdomEntityReference_H__ */
